Name: rhevm-iso-uploader
Version: 3.1.0
Release: 9%{?dist}
Source: %{name}-%{version}.tar.gz
License: ASL 2.0
Summary: ISO Uploader for Red Hat Enterprise Virtualization
Group: Virtualization/Management
URL: http://www.redhat.com/virtualization/rhev/server/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
BuildRequires: python-devel
Requires: rhevm-sdk
Requires: kernel >= 2.6.32-279.1.1
Conflicts: rhevm < 3.1

Patch1: 0001-tools-support-mandatory-verify-BZ853715.patch
Patch2: 0002-tools-Improved-output-message-on-successful-upload.patch
Patch3: 0003-tools-support-mandatory-verify-BZ853715.patch
Patch4: 0004-tools-Fix-default-port-BZ857480.patch
Patch5: 0005-rhevm-iso-uploader-Add-requirement-for-minimum-kerne.patch
Patch6: 0006-rhevm-iso-uploader-Add-requirement-for-minimum-kerne.patch
Patch7: 0007-tools-Add-conflicts-3.1-BZ873267.patch
Patch8: 0008-rhevm-iso-uploader-Pinned-nfs-version-to-v3-861444.patch

%description
ISO Uploader for Red Hat Enterprise Virtualization
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build

%install
rm -rf %{buildroot}/*
make PREFIX=%{buildroot}/ install

%files
%doc AUTHORS LICENSE
%defattr(-,root,root,-)
%{_datadir}/rhevm/iso-uploader
%{_bindir}/rhevm-iso-uploader
%config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%{_mandir}/man8/rhevm-iso-uploader.8.gz

%changelog
* Wed Dec 05 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-9
- rhevm-iso-uploader: Pinned nfs version to v3(#861444) mount.nfs seems to be broken in the kernel.  It is not autonegotiating.
Resolves: BZ#861444

* Sun Nov 11 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-8
- tools: Add conflicts < 3.1 (BZ873267)
Resolves: BZ#873267

* Wed Oct 31 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-7.0-6
- rhevm-iso-uploader: Add requirement for minimum kernel version(#BZ861444)
Resolves: BZ#861444

* Sun Oct 28 2012 Kiril Nesenko <knesenko@redhat.com> - 3.1.0-6
- rhevm-iso-uploader: Add requirement for minimum kernel version (#BZ861444)
Resolves: BZ#861444

* Fri Sep 28 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-5
- rhbz#857480
* Wed Sep 12 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-4
- tools: Improved output message on successful upload, rhbz:836358
* Wed Sep 12 2012 Dan Kenigsberg <danken@redhat.com> - 3.1.0-3
- tools: Improved output message on successful upload, rhbz:836358
- tools: support mandatory verify, rhbz:853715
Resolves BZ#836358 BZ#853715
* Mon Jul 16 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-2
- BZ832158, BZ813317
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-1
- Fixed rpmlint issues
* Thu Apr 19 2012 Keith Robertson <kroberts@redhat.com> - 3.1.0-0
- Initial build
